* [gentoo-commits] repo/gentoo:master commit in: dev-ruby/fattr/
@ 2016-03-09 22:55 Manuel Rüger
0 siblings, 0 replies; 14+ messages in thread
From: Manuel Rüger @ 2016-03-09 22:55 UTC (permalink / raw
To: gentoo-commits
commit: ced298184874734987a970a05ad0adb56bd6ed39
Author: Manuel Rüger <mrueg <AT> gentoo <DOT> org>
AuthorDate: Wed Mar 9 22:53:54 2016 +0000
Commit: Manuel Rüger <mrueg <AT> gentoo <DOT> org>
CommitDate: Wed Mar 9 22:53:54 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ced29818
dev-ruby/fattr: Remove ruby19
Package-Manager: portage-2.2.27
dev-ruby/fattr/fattr-2.2.2.ebuild | 4 ++--
1 file changed, 2 insertions(+), 2 deletions(-)
diff --git a/dev-ruby/fattr/fattr-2.2.2.ebuild b/dev-ruby/fattr/fattr-2.2.2.ebuild
index 0ad0ad4..edef718 100644
--- a/dev-ruby/fattr/fattr-2.2.2.ebuild
+++ b/dev-ruby/fattr/fattr-2.2.2.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2015 Gentoo Foundation
+# Copyright 1999-2016 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
EAPI=5
-USE_RUBY="ruby19 ruby20 ruby21 ruby22"
+USE_RUBY="ruby20 ruby21 ruby22"
RUBY_FAKEGEM_TASK_DOC=""
RUBY_FAKEGEM_EXTRADOC="README"
^ permalink raw reply related [flat|nested] 14+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: dev-ruby/fattr/
@ 2016-03-30 5:29 Hans de Graaff
0 siblings, 0 replies; 14+ messages in thread
From: Hans de Graaff @ 2016-03-30 5:29 UTC (permalink / raw
To: gentoo-commits
commit: 59183b86ab8c5628c9a7c568f46e767028841d49
Author: Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Wed Mar 30 05:17:29 2016 +0000
Commit: Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Wed Mar 30 05:29:18 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=59183b86
dev-ruby/fattr: add 2.3.0
Package-Manager: portage-2.2.26
dev-ruby/fattr/Manifest | 1 +
dev-ruby/fattr/fattr-2.3.0.ebuild | 32 ++++++++++++++++++++++++++++++++
2 files changed, 33 insertions(+)
diff --git a/dev-ruby/fattr/Manifest b/dev-ruby/fattr/Manifest
index 6827f90..c794be5 100644
--- a/dev-ruby/fattr/Manifest
+++ b/dev-ruby/fattr/Manifest
@@ -1 +1,2 @@
DIST fattr-2.2.2.gem 12800 SHA256 628a998d404d0417bb4ce72a126ff2d8dced608a11b57ade8fcf64509d6def8c SHA512 ddd81f35ad703d33c52ab8dae537fe4834c174c1b595904f23da6ad33886aaf3140eb554c396461c2897fe2b483e29116650df22be4ab128bcfa0e0b0d971b1d WHIRLPOOL 08370db4d525f5197f5b758a151daa5c70da61b0771e14396940c95eb321851cbf19483b17ed4d7166f744a5381ce30a8fca297e43ca8a50ca1888cbbf4cdfac
+DIST fattr-2.3.0.gem 12800 SHA256 0430a798270a7097c8c14b56387331808b8d9bb83904ba643b196c895bdf5993 SHA512 620825a4659e30402e44d077fd60b4b2260fe3eb7f28c87ca26f61a6be3a2d4e96920ca1d89070dbd90e1d5d760632f6e103766dddb38a8eb1fb104c6b261baf WHIRLPOOL 6bb48686ba8d0e4dacb66f802c00a1a3f30820a91e17f61f9fe8ed97f1d74066664c375cfd4f16797c2e2cf96571cc5858e3ee919d5a3ea6cedbb34815547019
diff --git a/dev-ruby/fattr/fattr-2.3.0.ebuild b/dev-ruby/fattr/fattr-2.3.0.ebuild
new file mode 100644
index 0000000..6f8b5c7
--- /dev/null
+++ b/dev-ruby/fattr/fattr-2.3.0.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+USE_RUBY="ruby20 ruby21 ruby22 ruby23"
+
+RUBY_FAKEGEM_TASK_DOC=""
+RUBY_FAKEGEM_EXTRADOC="README"
+
+RUBY_FAKEGEM_TASK_TEST=""
+
+inherit ruby-fakegem
+
+DESCRIPTION="fattr.rb is a \"fatter attr\" for ruby"
+HOMEPAGE="https://github.com/ahoward/fattr"
+
+LICENSE="Ruby"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~x86-fbsd"
+IUSE="test"
+
+each_ruby_test() {
+ ${RUBY} test/fattr_test.rb || die "Tests failed."
+}
+
+all_ruby_install() {
+ all_fakegem_install
+
+ insinto /usr/share/doc/${PF}
+ doins -r samples
+}
^ permalink raw reply related [flat|nested] 14+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: dev-ruby/fattr/
@ 2017-02-05 9:18 Hans de Graaff
0 siblings, 0 replies; 14+ messages in thread
From: Hans de Graaff @ 2017-02-05 9:18 UTC (permalink / raw
To: gentoo-commits
commit: 141ad2d496b4afd1bdac238f326ec7a6a3954580
Author: Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sun Feb 5 09:12:23 2017 +0000
Commit: Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sun Feb 5 09:18:18 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=141ad2d4
dev-ruby/fattr: cleanup
Package-Manager: portage-2.3.3
dev-ruby/fattr/Manifest | 1 -
dev-ruby/fattr/fattr-2.2.2.ebuild | 32 --------------------------------
2 files changed, 33 deletions(-)
diff --git a/dev-ruby/fattr/Manifest b/dev-ruby/fattr/Manifest
index c794be5..87f64c2 100644
--- a/dev-ruby/fattr/Manifest
+++ b/dev-ruby/fattr/Manifest
@@ -1,2 +1 @@
-DIST fattr-2.2.2.gem 12800 SHA256 628a998d404d0417bb4ce72a126ff2d8dced608a11b57ade8fcf64509d6def8c SHA512 ddd81f35ad703d33c52ab8dae537fe4834c174c1b595904f23da6ad33886aaf3140eb554c396461c2897fe2b483e29116650df22be4ab128bcfa0e0b0d971b1d WHIRLPOOL 08370db4d525f5197f5b758a151daa5c70da61b0771e14396940c95eb321851cbf19483b17ed4d7166f744a5381ce30a8fca297e43ca8a50ca1888cbbf4cdfac
DIST fattr-2.3.0.gem 12800 SHA256 0430a798270a7097c8c14b56387331808b8d9bb83904ba643b196c895bdf5993 SHA512 620825a4659e30402e44d077fd60b4b2260fe3eb7f28c87ca26f61a6be3a2d4e96920ca1d89070dbd90e1d5d760632f6e103766dddb38a8eb1fb104c6b261baf WHIRLPOOL 6bb48686ba8d0e4dacb66f802c00a1a3f30820a91e17f61f9fe8ed97f1d74066664c375cfd4f16797c2e2cf96571cc5858e3ee919d5a3ea6cedbb34815547019
diff --git a/dev-ruby/fattr/fattr-2.2.2.ebuild b/dev-ruby/fattr/fattr-2.2.2.ebuild
deleted file mode 100644
index edef718..00000000
--- a/dev-ruby/fattr/fattr-2.2.2.ebuild
+++ /dev/null
@@ -1,32 +0,0 @@
-# Copyright 1999-2016 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Id$
-
-EAPI=5
-USE_RUBY="ruby20 ruby21 ruby22"
-
-RUBY_FAKEGEM_TASK_DOC=""
-RUBY_FAKEGEM_EXTRADOC="README"
-
-RUBY_FAKEGEM_TASK_TEST=""
-
-inherit ruby-fakegem
-
-DESCRIPTION="fattr.rb is a \"fatter attr\" for ruby"
-HOMEPAGE="http://rubyforge.org/projects/codeforpeople/"
-
-LICENSE="Ruby"
-SLOT="0"
-KEYWORDS="~amd64 ~x86 ~x86-fbsd"
-IUSE="test"
-
-each_ruby_test() {
- ${RUBY} test/fattr_test.rb || die "Tests failed."
-}
-
-all_ruby_install() {
- all_fakegem_install
-
- insinto /usr/share/doc/${PF}
- doins -r samples
-}
^ permalink raw reply related [flat|nested] 14+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: dev-ruby/fattr/
@ 2017-02-05 9:18 Hans de Graaff
0 siblings, 0 replies; 14+ messages in thread
From: Hans de Graaff @ 2017-02-05 9:18 UTC (permalink / raw
To: gentoo-commits
commit: 891096e044bb285de488fd37bdffd7f7f8bb0312
Author: Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sun Feb 5 09:13:37 2017 +0000
Commit: Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sun Feb 5 09:18:20 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=891096e0
dev-ruby/fattr: add ruby24
Package-Manager: portage-2.3.3
dev-ruby/fattr/fattr-2.3.0.ebuild | 4 ++--
1 file changed, 2 insertions(+), 2 deletions(-)
diff --git a/dev-ruby/fattr/fattr-2.3.0.ebuild b/dev-ruby/fattr/fattr-2.3.0.ebuild
index 6f8b5c7..d422e17 100644
--- a/dev-ruby/fattr/fattr-2.3.0.ebuild
+++ b/dev-ruby/fattr/fattr-2.3.0.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2016 Gentoo Foundation
+# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
EAPI=5
-USE_RUBY="ruby20 ruby21 ruby22 ruby23"
+USE_RUBY="ruby21 ruby22 ruby23 ruby24"
RUBY_FAKEGEM_TASK_DOC=""
RUBY_FAKEGEM_EXTRADOC="README"
^ permalink raw reply related [flat|nested] 14+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: dev-ruby/fattr/
@ 2018-02-03 18:22 Hans de Graaff
0 siblings, 0 replies; 14+ messages in thread
From: Hans de Graaff @ 2018-02-03 18:22 UTC (permalink / raw
To: gentoo-commits
commit: f59a10c7e15b11399db5a5cfac40f93f0f116163
Author: Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sat Feb 3 10:24:07 2018 +0000
Commit: Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sat Feb 3 18:21:10 2018 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f59a10c7
dev-ruby/fattr: add ruby25
Package-Manager: Portage-2.3.19, Repoman-2.3.6
dev-ruby/fattr/fattr-2.3.0.ebuild | 4 ++--
1 file changed, 2 insertions(+), 2 deletions(-)
diff --git a/dev-ruby/fattr/fattr-2.3.0.ebuild b/dev-ruby/fattr/fattr-2.3.0.ebuild
index dd702ee80c1..2a0c2f23d0f 100644
--- a/dev-ruby/fattr/fattr-2.3.0.ebuild
+++ b/dev-ruby/fattr/fattr-2.3.0.ebuild
@@ -1,8 +1,8 @@
-# Copyright 1999-2017 Gentoo Foundation
+# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=5
-USE_RUBY="ruby21 ruby22 ruby23 ruby24"
+USE_RUBY="ruby22 ruby23 ruby24 ruby25"
RUBY_FAKEGEM_TASK_DOC=""
RUBY_FAKEGEM_EXTRADOC="README"
^ permalink raw reply related [flat|nested] 14+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: dev-ruby/fattr/
@ 2018-03-04 6:12 Hans de Graaff
0 siblings, 0 replies; 14+ messages in thread
From: Hans de Graaff @ 2018-03-04 6:12 UTC (permalink / raw
To: gentoo-commits
commit: 2d0d2fba5ef8cf11d66a9b7830cf729e6cee70d6
Author: Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sun Mar 4 06:06:26 2018 +0000
Commit: Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sun Mar 4 06:06:26 2018 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2d0d2fba
dev-ruby/fattr: add 2.4.0
Package-Manager: Portage-2.3.19, Repoman-2.3.6
dev-ruby/fattr/Manifest | 1 +
dev-ruby/fattr/fattr-2.4.0.ebuild | 31 +++++++++++++++++++++++++++++++
2 files changed, 32 insertions(+)
diff --git a/dev-ruby/fattr/Manifest b/dev-ruby/fattr/Manifest
index dff1021311c..ebc4d1dd9de 100644
--- a/dev-ruby/fattr/Manifest
+++ b/dev-ruby/fattr/Manifest
@@ -1 +1,2 @@
DIST fattr-2.3.0.gem 12800 BLAKE2B a9ef3e7d69c52193c65139e647f22e99bb8e0f65b2970b26f34c453127af7a4d4c9cbba17627462241b163fbdf654cbb46d2dded2a62a76e0b1abcf04b24f185 SHA512 620825a4659e30402e44d077fd60b4b2260fe3eb7f28c87ca26f61a6be3a2d4e96920ca1d89070dbd90e1d5d760632f6e103766dddb38a8eb1fb104c6b261baf
+DIST fattr-2.4.0.gem 14336 BLAKE2B 1be45d17eac08dbadec9e0a4177f7b1ad7d39c060ce1162961aa8fe3b1c9b0107f10c17a2a9a5d27e652067df7f33aca0afb57b6a268b52999ae7a7b540ad131 SHA512 df3aa4fe187f7922fceaad3b30d4ed9c869ac194f819bc6c57dd574a27e69a74cf9fb10042163d941b0edc7129dc5ede5f92c60a75c6744bb9e8f358f5cf24bc
diff --git a/dev-ruby/fattr/fattr-2.4.0.ebuild b/dev-ruby/fattr/fattr-2.4.0.ebuild
new file mode 100644
index 00000000000..2283734f56b
--- /dev/null
+++ b/dev-ruby/fattr/fattr-2.4.0.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+USE_RUBY="ruby22 ruby23 ruby24 ruby25"
+
+RUBY_FAKEGEM_TASK_DOC=""
+RUBY_FAKEGEM_EXTRADOC="README"
+
+RUBY_FAKEGEM_TASK_TEST=""
+
+inherit ruby-fakegem
+
+DESCRIPTION="fattr.rb is a \"fatter attr\" for ruby"
+HOMEPAGE="https://github.com/ahoward/fattr"
+
+LICENSE="Ruby"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~x86-fbsd"
+IUSE="test"
+
+each_ruby_test() {
+ ${RUBY} test/fattr_test.rb || die "Tests failed."
+}
+
+all_ruby_install() {
+ all_fakegem_install
+
+ insinto /usr/share/doc/${PF}
+ doins -r samples
+}
^ permalink raw reply related [flat|nested] 14+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: dev-ruby/fattr/
@ 2019-02-02 9:00 Hans de Graaff
0 siblings, 0 replies; 14+ messages in thread
From: Hans de Graaff @ 2019-02-02 9:00 UTC (permalink / raw
To: gentoo-commits
commit: 7fa40eff114e938d810f1a8acca72bbf5690cde3
Author: Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sat Feb 2 08:56:57 2019 +0000
Commit: Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sat Feb 2 08:56:57 2019 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7fa40eff
dev-ruby/fattr: add ruby26
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>
Package-Manager: Portage-2.3.51, Repoman-2.3.11
dev-ruby/fattr/fattr-2.4.0.ebuild | 4 ++--
1 file changed, 2 insertions(+), 2 deletions(-)
diff --git a/dev-ruby/fattr/fattr-2.4.0.ebuild b/dev-ruby/fattr/fattr-2.4.0.ebuild
index 2283734f56b..2608fea0315 100644
--- a/dev-ruby/fattr/fattr-2.4.0.ebuild
+++ b/dev-ruby/fattr/fattr-2.4.0.ebuild
@@ -1,8 +1,8 @@
-# Copyright 1999-2018 Gentoo Foundation
+# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
-USE_RUBY="ruby22 ruby23 ruby24 ruby25"
+USE_RUBY="ruby23 ruby24 ruby25 ruby26"
RUBY_FAKEGEM_TASK_DOC=""
RUBY_FAKEGEM_EXTRADOC="README"
^ permalink raw reply related [flat|nested] 14+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: dev-ruby/fattr/
@ 2019-11-03 7:46 Hans de Graaff
0 siblings, 0 replies; 14+ messages in thread
From: Hans de Graaff @ 2019-11-03 7:46 UTC (permalink / raw
To: gentoo-commits
commit: ad825ad15631a9de831e205d03eb53c70a1201fb
Author: Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sun Nov 3 07:41:00 2019 +0000
Commit: Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sun Nov 3 07:41:00 2019 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ad825ad1
dev-ruby/fattr: cleanup
Package-Manager: Portage-2.3.76, Repoman-2.3.16
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>
dev-ruby/fattr/Manifest | 1 -
dev-ruby/fattr/fattr-2.3.0.ebuild | 31 -------------------------------
2 files changed, 32 deletions(-)
diff --git a/dev-ruby/fattr/Manifest b/dev-ruby/fattr/Manifest
index ebc4d1dd9de..a62b718edca 100644
--- a/dev-ruby/fattr/Manifest
+++ b/dev-ruby/fattr/Manifest
@@ -1,2 +1 @@
-DIST fattr-2.3.0.gem 12800 BLAKE2B a9ef3e7d69c52193c65139e647f22e99bb8e0f65b2970b26f34c453127af7a4d4c9cbba17627462241b163fbdf654cbb46d2dded2a62a76e0b1abcf04b24f185 SHA512 620825a4659e30402e44d077fd60b4b2260fe3eb7f28c87ca26f61a6be3a2d4e96920ca1d89070dbd90e1d5d760632f6e103766dddb38a8eb1fb104c6b261baf
DIST fattr-2.4.0.gem 14336 BLAKE2B 1be45d17eac08dbadec9e0a4177f7b1ad7d39c060ce1162961aa8fe3b1c9b0107f10c17a2a9a5d27e652067df7f33aca0afb57b6a268b52999ae7a7b540ad131 SHA512 df3aa4fe187f7922fceaad3b30d4ed9c869ac194f819bc6c57dd574a27e69a74cf9fb10042163d941b0edc7129dc5ede5f92c60a75c6744bb9e8f358f5cf24bc
diff --git a/dev-ruby/fattr/fattr-2.3.0.ebuild b/dev-ruby/fattr/fattr-2.3.0.ebuild
deleted file mode 100644
index 3b786a689bd..00000000000
--- a/dev-ruby/fattr/fattr-2.3.0.ebuild
+++ /dev/null
@@ -1,31 +0,0 @@
-# Copyright 1999-2018 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=5
-USE_RUBY="ruby22 ruby23 ruby24 ruby25"
-
-RUBY_FAKEGEM_TASK_DOC=""
-RUBY_FAKEGEM_EXTRADOC="README"
-
-RUBY_FAKEGEM_TASK_TEST=""
-
-inherit ruby-fakegem
-
-DESCRIPTION="fattr.rb is a \"fatter attr\" for ruby"
-HOMEPAGE="https://github.com/ahoward/fattr"
-
-LICENSE="Ruby"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-IUSE="test"
-
-each_ruby_test() {
- ${RUBY} test/fattr_test.rb || die "Tests failed."
-}
-
-all_ruby_install() {
- all_fakegem_install
-
- insinto /usr/share/doc/${PF}
- doins -r samples
-}
^ permalink raw reply related [flat|nested] 14+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: dev-ruby/fattr/
@ 2020-02-23 6:04 Hans de Graaff
0 siblings, 0 replies; 14+ messages in thread
From: Hans de Graaff @ 2020-02-23 6:04 UTC (permalink / raw
To: gentoo-commits
commit: 141b5cedb4b8034af16d4d5cba98ba7935256138
Author: Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sun Feb 23 05:45:40 2020 +0000
Commit: Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sun Feb 23 05:45:40 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=141b5ced
dev-ruby/fattr: add ruby27; use dodoc
Package-Manager: Portage-2.3.84, Repoman-2.3.20
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>
dev-ruby/fattr/fattr-2.4.0.ebuild | 7 +++----
1 file changed, 3 insertions(+), 4 deletions(-)
diff --git a/dev-ruby/fattr/fattr-2.4.0.ebuild b/dev-ruby/fattr/fattr-2.4.0.ebuild
index e640825cc05..5d6cedff557 100644
--- a/dev-ruby/fattr/fattr-2.4.0.ebuild
+++ b/dev-ruby/fattr/fattr-2.4.0.ebuild
@@ -1,8 +1,8 @@
-# Copyright 1999-2019 Gentoo Authors
+# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
-USE_RUBY="ruby23 ruby24 ruby25 ruby26"
+USE_RUBY="ruby24 ruby25 ruby26 ruby27"
RUBY_FAKEGEM_TASK_DOC=""
RUBY_FAKEGEM_EXTRADOC="README"
@@ -26,6 +26,5 @@ each_ruby_test() {
all_ruby_install() {
all_fakegem_install
- insinto /usr/share/doc/${PF}
- doins -r samples
+ dodoc -r samples
}
^ permalink raw reply related [flat|nested] 14+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: dev-ruby/fattr/
@ 2022-06-25 8:55 Hans de Graaff
0 siblings, 0 replies; 14+ messages in thread
From: Hans de Graaff @ 2022-06-25 8:55 UTC (permalink / raw
To: gentoo-commits
commit: 4ba7ac5b0e93e83a0953dc4181d7e82453a76f79
Author: Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sat Jun 25 08:23:38 2022 +0000
Commit: Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sat Jun 25 08:55:50 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4ba7ac5b
dev-ruby/fattr: update EAPI 6 -> 8
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>
dev-ruby/fattr/fattr-2.4.0-r1.ebuild | 30 ++++++++++++++++++++++++++++++
1 file changed, 30 insertions(+)
diff --git a/dev-ruby/fattr/fattr-2.4.0-r1.ebuild b/dev-ruby/fattr/fattr-2.4.0-r1.ebuild
new file mode 100644
index 000000000000..4d2e4eb49724
--- /dev/null
+++ b/dev-ruby/fattr/fattr-2.4.0-r1.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby26 ruby27 ruby30 ruby31"
+
+RUBY_FAKEGEM_TASK_DOC=""
+RUBY_FAKEGEM_EXTRADOC="README"
+
+RUBY_FAKEGEM_TASK_TEST=""
+
+inherit ruby-fakegem
+
+DESCRIPTION="fattr.rb is a \"fatter attr\" for ruby"
+HOMEPAGE="https://github.com/ahoward/fattr"
+
+LICENSE="Ruby"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+
+each_ruby_test() {
+ ${RUBY} test/fattr_test.rb || die "Tests failed."
+}
+
+all_ruby_install() {
+ all_fakegem_install
+
+ dodoc -r samples
+}
^ permalink raw reply related [flat|nested] 14+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: dev-ruby/fattr/
@ 2022-07-30 6:32 Hans de Graaff
0 siblings, 0 replies; 14+ messages in thread
From: Hans de Graaff @ 2022-07-30 6:32 UTC (permalink / raw
To: gentoo-commits
commit: 680432cf4e782c517990a1c0a84f443bb7731bb9
Author: Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Fri Jul 29 17:48:38 2022 +0000
Commit: Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sat Jul 30 06:32:45 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=680432cf
dev-ruby/fattr: drop 2.4.0
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>
dev-ruby/fattr/fattr-2.4.0.ebuild | 30 ------------------------------
1 file changed, 30 deletions(-)
diff --git a/dev-ruby/fattr/fattr-2.4.0.ebuild b/dev-ruby/fattr/fattr-2.4.0.ebuild
deleted file mode 100644
index 5d6cedff557b..000000000000
--- a/dev-ruby/fattr/fattr-2.4.0.ebuild
+++ /dev/null
@@ -1,30 +0,0 @@
-# Copyright 1999-2020 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-USE_RUBY="ruby24 ruby25 ruby26 ruby27"
-
-RUBY_FAKEGEM_TASK_DOC=""
-RUBY_FAKEGEM_EXTRADOC="README"
-
-RUBY_FAKEGEM_TASK_TEST=""
-
-inherit ruby-fakegem
-
-DESCRIPTION="fattr.rb is a \"fatter attr\" for ruby"
-HOMEPAGE="https://github.com/ahoward/fattr"
-
-LICENSE="Ruby"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-IUSE="test"
-
-each_ruby_test() {
- ${RUBY} test/fattr_test.rb || die "Tests failed."
-}
-
-all_ruby_install() {
- all_fakegem_install
-
- dodoc -r samples
-}
^ permalink raw reply related [flat|nested] 14+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: dev-ruby/fattr/
@ 2022-07-30 6:32 Hans de Graaff
0 siblings, 0 replies; 14+ messages in thread
From: Hans de Graaff @ 2022-07-30 6:32 UTC (permalink / raw
To: gentoo-commits
commit: 0abf5efb05f126e3734f421d7ef7673fcb2c0de1
Author: Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Fri Jul 29 17:49:23 2022 +0000
Commit: Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sat Jul 30 06:32:45 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0abf5efb
dev-ruby/fattr: update LICENSE
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>
dev-ruby/fattr/fattr-2.4.0-r1.ebuild | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
diff --git a/dev-ruby/fattr/fattr-2.4.0-r1.ebuild b/dev-ruby/fattr/fattr-2.4.0-r1.ebuild
index 4d2e4eb49724..97cea2347202 100644
--- a/dev-ruby/fattr/fattr-2.4.0-r1.ebuild
+++ b/dev-ruby/fattr/fattr-2.4.0-r1.ebuild
@@ -14,7 +14,7 @@ inherit ruby-fakegem
DESCRIPTION="fattr.rb is a \"fatter attr\" for ruby"
HOMEPAGE="https://github.com/ahoward/fattr"
-LICENSE="Ruby"
+LICENSE="Ruby-BSD"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="test"
^ permalink raw reply related [flat|nested] 14+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: dev-ruby/fattr/
@ 2023-03-27 8:35 Sam James
0 siblings, 0 replies; 14+ messages in thread
From: Sam James @ 2023-03-27 8:35 UTC (permalink / raw
To: gentoo-commits
commit: 26513546fee9c441ca888635c02c8d8d4a159267
Author: Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Mon Mar 27 08:16:16 2023 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Mon Mar 27 08:34:03 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=26513546
dev-ruby/fattr: enable ruby32
Signed-off-by: Sam James <sam <AT> gentoo.org>
dev-ruby/fattr/fattr-2.4.0-r1.ebuild | 4 ++--
1 file changed, 2 insertions(+), 2 deletions(-)
diff --git a/dev-ruby/fattr/fattr-2.4.0-r1.ebuild b/dev-ruby/fattr/fattr-2.4.0-r1.ebuild
index 97cea2347202..e53166140dd9 100644
--- a/dev-ruby/fattr/fattr-2.4.0-r1.ebuild
+++ b/dev-ruby/fattr/fattr-2.4.0-r1.ebuild
@@ -1,8 +1,8 @@
-# Copyright 1999-2022 Gentoo Authors
+# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
-USE_RUBY="ruby26 ruby27 ruby30 ruby31"
+USE_RUBY="ruby27 ruby30 ruby31 ruby32"
RUBY_FAKEGEM_TASK_DOC=""
RUBY_FAKEGEM_EXTRADOC="README"
^ permalink raw reply related [flat|nested] 14+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: dev-ruby/fattr/
@ 2023-12-27 20:12 Hans de Graaff
0 siblings, 0 replies; 14+ messages in thread
From: Hans de Graaff @ 2023-12-27 20:12 UTC (permalink / raw
To: gentoo-commits
commit: 8ffe0d8ae313955acf4c349e0a9ada51b5e7031f
Author: Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Wed Dec 27 20:06:00 2023 +0000
Commit: Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Wed Dec 27 20:06:00 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8ffe0d8a
dev-ruby/fattr: enable ruby33
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>
dev-ruby/fattr/fattr-2.4.0-r1.ebuild | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
diff --git a/dev-ruby/fattr/fattr-2.4.0-r1.ebuild b/dev-ruby/fattr/fattr-2.4.0-r1.ebuild
index e53166140dd9..e96dd52c3ec9 100644
--- a/dev-ruby/fattr/fattr-2.4.0-r1.ebuild
+++ b/dev-ruby/fattr/fattr-2.4.0-r1.ebuild
@@ -2,7 +2,7 @@
# Distributed under the terms of the GNU General Public License v2
EAPI=8
-USE_RUBY="ruby27 ruby30 ruby31 ruby32"
+USE_RUBY="ruby31 ruby32 ruby33"
RUBY_FAKEGEM_TASK_DOC=""
RUBY_FAKEGEM_EXTRADOC="README"
^ permalink raw reply related [flat|nested] 14+ messages in thread
end of thread, other threads:[~2023-12-27 20:12 UTC | newest]
Thread overview: 14+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2018-03-04 6:12 [gentoo-commits] repo/gentoo:master commit in: dev-ruby/fattr/ Hans de Graaff
-- strict thread matches above, loose matches on Subject: below --
2023-12-27 20:12 Hans de Graaff
2023-03-27 8:35 Sam James
2022-07-30 6:32 Hans de Graaff
2022-07-30 6:32 Hans de Graaff
2022-06-25 8:55 Hans de Graaff
2020-02-23 6:04 Hans de Graaff
2019-11-03 7:46 Hans de Graaff
2019-02-02 9:00 Hans de Graaff
2018-02-03 18:22 Hans de Graaff
2017-02-05 9:18 Hans de Graaff
2017-02-05 9:18 Hans de Graaff
2016-03-30 5:29 Hans de Graaff
2016-03-09 22:55 Manuel Rüger
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox